Log

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.logging
Class Log

    java.lang.Object
      org.jagatoo.logging.Log

    public final class Log

extends java.lang.Object

The Log class is the interface to the logging system. Use the `LogManager` returned by `getLogManager()` to register/deregister `LogHandler`s.

Author:
  David Yazel, Marvin Froehlich (aka Qudus)

Method Summary
`static void` | `close()`
`static void` | `debug(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, DEBUG, message ).
`static void` | `debugCS(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, DEBUG, message ).
`static void` | `decreaseIndentation()` Decreases the indentation level to use for the following log outputs by one.
`static void` | `error(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, ERROR, message ).
`static void` | `errorCS(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, ERROR, message ).
`static void` | `exception(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, EXCEPTION, message ).
`static void` | `exceptionCS(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, EXCEPTION, message ).
`static void` | `flush()`
`static int` | `getIndentation()`
`static java.lang.String` | `getIndentationString()`
`static LogManager` | `getLogManager()`
`static void` | `increaseIndentation()` Increases the indentation level to use for the following log outputs by one.
`static void` | `print(LogChannel channel, LogLevel logLevel, java.lang.Object... message)` Prints out a log message without a newline.
`static void` | `print(LogChannel channel, java.lang.Object... message)` This is an alias for print( channel, REGULAR, message ).
`static void` | `printCS(LogChannel channel, LogLevel logLevel, java.lang.Object... message)` Prints out a log message without a newline.
`static void` | `printCS(LogChannel channel, java.lang.Object... message)` This is an alias for print( channel, REGULAR, message ).
`static void` | `println(LogChannel channel, LogLevel logLevel, java.lang.Object... message)` Prints out a log message with a newline.
`static void` | `println(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, REGULAR, message ).
`static void` | `printlnCS(LogChannel channel, LogLevel logLevel, java.lang.Object... message)` Prints out a log message with a newline.
`static void` | `printlnCS(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, REGULAR, message ).
`static void` | `printlnEx(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, EXHAUSTIVE, message ).
`static void` | `printlnExCS(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, EXHAUSTIVE, message ).
`static void` | `profile(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, PROFILE, message ).
`static void` | `profileCS(LogChannel channel, java.lang.Object... message)` This is an alias for println( channel, PROFILE, message ).
`static void` | `setIndentation(int indentation)` Sets the indentation level to use for the following log outputs.
`static void` | `setIndentationString(java.lang.String indentationString)` Sets the String to be prefixed to the actualy logging output n times.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLogManager

    public static final LogManager getLogManager()

  Returns:
    the LogManager to register/deregister `LogHandler`s.

### setIndentationString

    public static final void setIndentationString(java.lang.String indentationString)

  Sets the String to be prefixed to the actualy logging output n times.

  Parameters:
    `indentationString` -

### getIndentationString

    public static final java.lang.String getIndentationString()

  Returns:
    the String to be prefixed to the actualy logging output n times.

### setIndentation

    public static final void setIndentation(int indentation)

  Sets the indentation level to use for the following log outputs.

  Parameters:
    `indentation` -

### getIndentation

    public static final int getIndentation()

  Returns:
    the indentation level to use for the following log outputs.

### increaseIndentation

    public static final void increaseIndentation()

  Increases the indentation level to use for the following log outputs by one.

### decreaseIndentation

    public static final void decreaseIndentation()

  Decreases the indentation level to use for the following log outputs by one.

### print

    public static final void print(LogChannel channel,
                                   LogLevel logLevel,
                                   java.lang.Object... message)

  Prints out a log message without a newline.

  Parameters:
    `channel` -
    `logLevel` -
    `message` -

### printCS

    public static final void printCS(LogChannel channel,
                                     LogLevel logLevel,
                                     java.lang.Object... message)

  Prints out a log message without a newline.

  Parameters:
    `channel` -
    `logLevel` -
    `message` - the string message to be printed to the log (comma separated)

### print

    public static final void print(LogChannel channel,
                                   java.lang.Object... message)

  This is an alias for print( channel, REGULAR, message ).

  Parameters:
    `channel` -
    `message` -

### printCS

    public static final void printCS(LogChannel channel,
                                     java.lang.Object... message)

  This is an alias for print( channel, REGULAR, message ).

  Parameters:
    `channel` -
    `message` - the string message to be printed to the log (comma separated)

### println

    public static final void println(LogChannel channel,
                                     LogLevel logLevel,
                                     java.lang.Object... message)

  Prints out a log message with a newline.

  Parameters:
    `channel` -
    `logLevel` -
    `message` -

### printlnCS

    public static final void printlnCS(LogChannel channel,
                                       LogLevel logLevel,
                                       java.lang.Object... message)

  Prints out a log message with a newline.

  Parameters:
    `channel` -
    `logLevel` -
    `message` - the string message to be printed to the log (comma separated)

### println

    public static final void println(LogChannel channel,
                                     java.lang.Object... message)

  This is an alias for println( channel, REGULAR, message ).

  Parameters:
    `channel` -
    `message` -

### printlnCS

    public static final void printlnCS(LogChannel channel,
                                       java.lang.Object... message)

  This is an alias for println( channel, REGULAR, message ).

  Parameters:
    `channel` -
    `message` - the string message to be printed to the log (comma separated)

### printlnEx

    public static final void printlnEx(LogChannel channel,
                                       java.lang.Object... message)

  This is an alias for println( channel, EXHAUSTIVE, message ).

  Parameters:
    `channel` -
    `message` -

### printlnExCS

    public static final void printlnExCS(LogChannel channel,
                                         java.lang.Object... message)

  This is an alias for println( channel, EXHAUSTIVE, message ).

  Parameters:
    `channel` -
    `message` - the string message to be printed to the log (comma separated)

### error

    public static final void error(LogChannel channel,
                                   java.lang.Object... message)

  This is an alias for println( channel, ERROR, message ).

  Parameters:
    `channel` -
    `message` -

### errorCS

    public static final void errorCS(LogChannel channel,
                                     java.lang.Object... message)

  This is an alias for println( channel, ERROR, message ).

  Parameters:
    `channel` -
    `message` - the string message to be printed to the log (comma separated)

### exception

    public static final void exception(LogChannel channel,
                                       java.lang.Object... message)

  This is an alias for println( channel, EXCEPTION, message ).

  Parameters:
    `channel` -
    `message` -

### exceptionCS

    public static final void exceptionCS(LogChannel channel,
                                         java.lang.Object... message)

  This is an alias for println( channel, EXCEPTION, message ).

  Parameters:
    `channel` -
    `message` - the string message to be printed to the log (comma separated)

### debug

    public static final void debug(LogChannel channel,
                                   java.lang.Object... message)

  This is an alias for println( channel, DEBUG, message ).

  Parameters:
    `channel` -
    `message` -

### debugCS

    public static final void debugCS(LogChannel channel,
                                     java.lang.Object... message)

  This is an alias for println( channel, DEBUG, message ).

  Parameters:
    `channel` -
    `message` - the string message to be printed to the log (comma separated)

### profile

    public static final void profile(LogChannel channel,
                                     java.lang.Object... message)

  This is an alias for println( channel, PROFILE, message ).

  Parameters:
    `channel` -
    `message` -

### profileCS

    public static final void profileCS(LogChannel channel,
                                       java.lang.Object... message)

  This is an alias for println( channel, PROFILE, message ).

  Parameters:
    `channel` -
    `message` - the string message to be printed to the log (comma separated)

### flush

    public static final void flush()

### close

    public static final void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD